Subject: Re: bug#22556: 25.0.90; autogen.sh automatic parameter isn't working

From: Glenn Morris <[email-masked]>
Date: Thu, 04 Feb 2016 21:32:51 -0500

David Caldwell wrote:

> Commit aca31e3815b9bd9c696cf0c74cc4a80ad7e35ec9 seems to have broken
> './autogen.sh'. It's requiring me to invoke it with the 'autoconf'
> parameter. A quick peek at the source looks like it should be automatic,
> but I think there's a bug in the shell code. At least, I needed this
> change to make the 'autoconf' automatic under bash.

I don't see the issue with bash, but I do with eg dash.

> -for arg in ${*-autoconf}; do
> +for arg in ${*:-autoconf}; do

The autoconf manual says that this is portable to all shells that
support functions, so it should be fine, since autogen.sh uses
functions.